Bug 2011368 - Tooltip in pipeline visualization shows misleading data
Summary: Tooltip in pipeline visualization shows misleading data
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Dev Console
Version: 4.8
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: ---
: 4.10.0
Assignee: Debsmita Santra
QA Contact: spathak@redhat.com
Rolfe Dlugy-Hegwer
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-10-06 13:53 UTC by Pavol Pitonak
Modified: 2022-03-11 16:41 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
* Before this update, the tooltip for tasks in the *PipelineRun details* showed misleading information. It showed the time elapsed since the task ran, not how long they ran. For example, it showed 122 hours for a task that ran for a couple of seconds 5 days ago. With this update, the tooltip shows the duration of the task. (link:https://bugzilla.redhat.com/show_bug.cgi?id=2011368[BZ#2011368])
Clone Of:
Environment:
Last Closed: 2022-03-10 16:17:19 UTC
Target Upstream Version:
dsantra: needinfo-


Attachments (Terms of Use)
screenshot with sample pipeline run (22.52 KB, image/png)
2021-10-06 13:53 UTC, Pavol Pitonak
no flags Details
tkn-taskrun-describe.png (122.58 KB, image/png)
2021-12-07 17:31 UTC, Christoph Jerolimov
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 10806 0 None open Bug 2011368: fix PipelineRun visualization tooltip to show duration 2022-01-10 17:45:14 UTC
Github openshift openshift-docs pull 42725/files 0 None None None 2022-03-03 14:09:30 UTC
Red Hat Issue Tracker RHDEVDOCS-3829 0 None None None 2022-03-03 14:09:30 UTC
Red Hat Product Errata RHSA-2022:0056 0 None None None 2022-03-10 16:17:44 UTC

Description Pavol Pitonak 2021-10-06 13:53:54 UTC
Created attachment 1829897 [details]
screenshot with sample pipeline run

Description of problem:

Tooltip for tasks in pipeline visualization doesn't show how long did the task run but when it ran. It's very misleading, especially when the pipeline ran long time ago a task ran very quickly (e.g. it shows 122 hours for a task that ran couple of seconds 5 days ago).

Version-Release number of selected component (if applicable):

OCP 4.8.10, Pipelines 1.5.2


How reproducible:


Steps to Reproduce:
1. Run some pipeline
2. Open pipeline run view
3. Move with mouse to any task in the pipeline visualization

Actual results:

Shows when the task ran

Expected results:

Shows how long the task ran

Additional info:

Comment 1 Christoph Jerolimov 2021-12-07 17:31:17 UTC
Created attachment 1845107 [details]
tkn-taskrun-describe.png

Comment 2 Christoph Jerolimov 2021-12-07 17:33:40 UTC
@ssadeghi @sdoyle did you agree that we should change the TaskRun time which is shown on a PipelineRun detail page from 'x hours ago' (we don't show ago today) to the duration?

Comment 4 Siamak Sadeghianfar 2022-01-03 09:31:19 UTC
Yes, showing the duration of task instead of when it ran on the pipeline diagram is reasonable.

Comment 5 Christoph Jerolimov 2022-01-18 10:50:17 UTC
Looks fine for me on 4.10.0-0.ci-2022-01-18-093446,

@ppitonak can you take a look and mark this ticket as verified in everything is fine from your side? Thanks

Comment 6 Pavol Pitonak 2022-01-19 12:19:25 UTC
I tried the quickstart "Deploying an application with a pipeline" on 4.10.0-0.nightly-2022-01-19-110820 - it behaves as I would expect.

Comment 8 Abhinandan Das 2022-01-24 15:34:18 UTC
verified for 4.10
OpenShift version
4.10.0-0.ci-2022-01-24-081900
Kubernetes version
v1.22.1-4631+06791f6ef85553-dirty
Cluster ID
0e957dbc-364a-40e8-9c32-e52c408404bb
API server
https://api.ci-ln-ddqtp4b-72292.origin-ci-int-gce.dev.rhcloud.com:6443

Comment 11 Debsmita Santra 2022-03-07 08:53:33 UTC
@rdlugyhe the doc text looks good. Thank you !

Comment 13 errata-xmlrpc 2022-03-10 16:17:19 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.10.3 security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2022:0056


Note You need to log in before you can comment on or make changes to this bug.